Subject: bug#4776: Error setting default face and unspecified-bg in default face when starting emacs 23.1 with --daemon

From: Dan Nicolaescu <[email-masked]>
Date: Thu, 22 Oct 2009 00:28:44 -0700 (PDT)

Joshua Redstone <[email-masked]> writes:

  > Hi,
  > I downloaded emacs 23.1 and built it with './configure ; make' without incident
  > on my linux box 2.6.20.
  > In my .emacs I have the following specifying the default face:
  > (custom-set-faces
  >   ;; custom-set-faces was added by Custom.
  >   ;; If you edit it by hand, you could mess it up, so be careful.
  >   ;; Your init file should contain only one such instance.
  >   ;; If there is more than one, they won't work right.
  >  '(default ((t (:stipple nil :background "black" :foreground "white"
  > :inverse-video nil :box nil :strike-through nil :overline nil :underline nil
  > :slant normal :weight normal :height 140 :width normal))))
  > When I start emacs without --daemon, it starts without errors, works fine, and
  > the default face has reasonable values:
  > -----------

This sounds a lot like bug#1078
could you try with emacs from CVS and see if you get the problem there too?